# -*- coding: utf-8 -*-
#
# Copyright 2016 Continuum Analytics, Inc.
# May be copied and distributed freely only as part of an Anaconda or
# Miniconda installation.
#

# Standard library imports
from __future__ import absolute_import, division, print_function
import glob
import os

PATH = os.path.dirname(os.path.realpath(__file__))
FONTFILES = glob.glob(os.path.join(PATH, '*.ttf'))


def load_fonts():
    from qtpy import QtGui
    database = QtGui.QFontDatabase()
    for font in FONTFILES:
        database.addApplicationFont(font)
    font = database.font("Ubuntu", "normal", 12)
    return font
